<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright ISDA 2007 (Lyteck Lynhiavu) -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>
    <xsl:template match="/">
        <html>
            <head>
                <title>
                    validation report: <xsl:value-of select="validationReport/@dir"/>
                </title>
                <link media="screen" href="validationReport.css" rel="stylesheet" type="text/css"/>
            </head>
            <body>
                <h3>Validation Report: <xsl:value-of select="validationReport/@dir"/></h3>
                <p></p>
                <table border="1" width="100%">
                    <thead>
                        <tr>
                            <th align="left">Example</th>
                            <th align="left">Status</th>
                        </tr>
                    </thead>
                    <body>
                        <xsl:for-each select="validationReport/instance">
                            <tr>
                                <td width="300" valign="top">
                                    <a>
                                        <xsl:attribute name="href"><xsl:value-of select="@file"/></xsl:attribute>
                                        <xsl:attribute name="class">link</xsl:attribute>
                                        <xsl:attribute name="target">_new</xsl:attribute>
                                        <!--<xsl:value-of select="@file"/>-->
                                        <xsl:variable name="del">/</xsl:variable>
                                        <xsl:call-template name="substring-after-last">
                                            <xsl:with-param name="input" select="@file"/>
                                            <xsl:with-param name="substr" select="$del"/>
                                        </xsl:call-template>
                                    </a>
                                </td>
                                <td valign="top">
                                    <xsl:if test="string-length(error) &lt; 2"><div class="valid">valid</div></xsl:if>
                                    <xsl:if test="string-length(error) &gt; 2"><div class="invalid"><xsl:value-of select="error"/></div></xsl:if>
                                </td>
                            </tr>
                        </xsl:for-each>
                    </body>
                </table>
                <h3>Statistics</h3>
            	<p class="statistics">The examples were validated using HandCoded Software Toolkit for FpML Processing
            		Java Open Source Release 1.2, updated to 9/09/2008 (using a customized version of class demo.com.handcoded.fpml.Validate)</p>
                <xsl:for-each select="validationReport/statistics/entry">
                    <p class="statistics"><xsl:value-of select="."/></p>
                </xsl:for-each>
            </body>
        </html>
    </xsl:template>
    <xsl:template name="substring-before-last">
        <xsl:param name="input"/>
        <xsl:param name="substr"/>
        <xsl:if test="$substr and contains ($input, $substr)">
            <xsl:variable name="temp" select="substring-after($input, $substr)"/>
            <xsl:value-of select="substring-before($input, $substr)"/>
            <xsl:if test="contains($temp, $substr)">
                <xsl:value-of select="$substr"/>
                <xsl:call-template name="substring-before-last">
                    <xsl:with-param name="input" select="$temp"/>
                    <xsl:with-param name="substr" select="$substr"/>
                </xsl:call-template>
             </xsl:if>
        </xsl:if>
    </xsl:template>
    <xsl:template name="substring-after-last">
        <xsl:param name="input"/>
        <xsl:param name="substr"/>
        <!-- extract the string which comes after the first occurence -->
        <xsl:variable name="temp" select="substring-after($input,$substr)"></xsl:variable>
        <xsl:choose>
            <!-- if it still contains the search string, then recursively process -->
            <xsl:when test="$substr and contains ($temp, $substr)">
                <xsl:call-template name="substring-after-last">
                    <xsl:with-param name="input" select="$temp"/>
                    <xsl:with-param name="substr" select="$substr"/>
                </xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="$temp"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
